Index: src/Actions/MoleculeAction/LoadAction.def
===================================================================
--- src/Actions/MoleculeAction/LoadAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/LoadAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -11,7 +11,11 @@
 #include <boost/shared_ptr.hpp>
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/ParserFileValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("load")
@@ -19,4 +23,6 @@
 #undef paramdefaults
 #define paramreferences (filename)
+#define paramvalids \
+(FilePresentValidator() && ParserFileValidator())
 
 #define statetypes (moleculeId_t)(std::string)(std::string)(boost::shared_ptr<FormatParser_Parameters>)
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -48,19 +48,19 @@
   BOOST_FOREACH(molecule *mol, selectedMolecules) {
     // check whether Axis is valid
-    if (params.Axis.IsZero())
+    if (params.Axis.get().IsZero())
       return Action::failure;
 
     // convert from degrees to radian
-    params.angle *= M_PI/180.;
+    params.angle.set(params.angle.get() * M_PI/180.);
 
     // Creation Line that is the rotation axis
     Vector *CenterOfGravity = mol->DetermineCenterOfGravity();
     LOG(0,  "Center of gravity is " << *CenterOfGravity << ".");
-    Line RotationAxis(*CenterOfGravity, params.Axis);
+    Line RotationAxis(*CenterOfGravity, params.Axis.get());
     delete(CenterOfGravity);
-    LOG(0, "Rotate " << mol->getName() << " around self by " << params.angle << " radian around axis " << RotationAxis << ".");
+    LOG(0, "Rotate " << mol->getName() << " around self by " << params.angle.get() << " radian around axis " << RotationAxis << ".");
 
     for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), params.angle));
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), params.angle.get()));
     }
     LOG(0, "done.");
@@ -76,10 +76,10 @@
     Vector *CenterOfGravity = mol->DetermineCenterOfGravity();
     LOG(0,  "Center of gravity is " << *CenterOfGravity << ".");
-    Line RotationAxis(*CenterOfGravity, state->params.Axis);
+    Line RotationAxis(*CenterOfGravity, state->params.Axis.get());
     delete(CenterOfGravity);
-    LOG(0, "Rotate " << mol->getName() << " around self by " << -state->params.angle << " radian around axis " << RotationAxis << ".");
+    LOG(0, "Rotate " << mol->getName() << " around self by " << -state->params.angle.get() << " radian around axis " << RotationAxis << ".");
 
     for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), -state->params.angle));
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), -state->params.angle.get()));
     }
   }
@@ -94,10 +94,10 @@
     Vector *CenterOfGravity = mol->DetermineCenterOfGravity();
     LOG(0,  "Center of gravity is " << *CenterOfGravity << ".");
-    Line RotationAxis(*CenterOfGravity, state->params.Axis);
+    Line RotationAxis(*CenterOfGravity, state->params.Axis.get());
     delete(CenterOfGravity);
-    LOG(0, "Rotate " << mol->getName() << " around self by " << state->params.angle << " radian around axis " << RotationAxis << ".");
+    LOG(0, "Rotate " << mol->getName() << " around self by " << state->params.angle.get() << " radian around axis " << RotationAxis << ".");
 
     for (molecule::iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), state->params.angle));
+      (*iter)->setPosition(RotationAxis.rotateVector((*iter)->getPosition(), state->params.angle.get()));
     }
   }
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -10,7 +10,10 @@
 class Vector;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Specific/RotationAngleValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
 #define paramtokens ("rotate-around-self")("axis")
@@ -18,4 +21,7 @@
 #undef paramdefaults
 #define paramreferences (angle)(Axis)
+#define paramvalids \
+(RotationAngleValidator()) \
+(DummyValidator< Vector >())
 
 #define statetypes (std::vector<molecule*>)
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -49,5 +49,5 @@
     RealSpaceMatrix InertiaTensor = mol->getInertiaTensor();
 
-    mol->RotateToPrincipalAxisSystem(params.Axis);
+    mol->RotateToPrincipalAxisSystem(const_cast<Vector &>(params.Axis.get()));
 
     // summing anew for debugging (resulting matrix has to be diagonal!)
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -12,7 +12,9 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("rotate-to-principal-axis-system")
@@ -20,4 +22,6 @@
 #undef paramdefaults
 #define paramreferences (Axis)
+#define paramvalids \
+(DummyValidator< Vector >())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -42,10 +42,10 @@
   for (World::MoleculeSelectionIterator iter = World::getInstance().beginMoleculeSelection(); iter != World::getInstance().endMoleculeSelection(); ++iter) {
     mol = iter->second;
-    LOG(0, "Storing adjacency to path " << params.adjacencyfile << ".");
+    LOG(0, "Storing adjacency to path " << params.adjacencyfile.get() << ".");
     // TODO: sollte stream nicht filename benutzen, besser fuer unit test
 #if BOOST_VERSION >= 104600
-    mol->StoreAdjacencyToFile(params.adjacencyfile.leaf().string(), params.adjacencyfile.branch_path().string());
+    mol->StoreAdjacencyToFile(params.adjacencyfile.get().leaf().string(), params.adjacencyfile.get().branch_path().string());
 #else
-    mol->StoreAdjacencyToFile(params.adjacencyfile.leaf(), params.adjacencyfile.branch_path().string());
+    mol->StoreAdjacencyToFile(params.adjacencyfile.get().leaf(), params.adjacencyfile.get().branch_path().string());
 #endif
   }
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,10 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-adjacency")
@@ -17,4 +20,6 @@
 #undef paramdefaults
 #define paramreferences (adjacencyfile)
+#define paramvalids \
+(!FilePresentValidator())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -42,10 +42,10 @@
   for (World::MoleculeSelectionIterator iter = World::getInstance().beginMoleculeSelection(); iter != World::getInstance().endMoleculeSelection(); ++iter) {
     mol = iter->second;
-    LOG(0, "Storing bonds to path " << params.bondsfile << ".");
+    LOG(0, "Storing bonds to path " << params.bondsfile.get() << ".");
     // TODO: sollte stream, nicht filenamen direkt nutzen, besser fuer unit tests
 #if BOOST_VERSION >= 104600
-    mol->StoreBondsToFile(params.bondsfile.leaf().string(), params.bondsfile.branch_path().string());
+    mol->StoreBondsToFile(params.bondsfile.get().leaf().string(), params.bondsfile.get().branch_path().string());
 #else
-    mol->StoreBondsToFile(params.bondsfile.leaf(), params.bondsfile.branch_path().string());
+    mol->StoreBondsToFile(params.bondsfile.get().leaf(), params.bondsfile.get().branch_path().string());
 #endif
   }
Index: src/Actions/MoleculeAction/SaveBondsAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveBondsAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,10 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-bonds")
@@ -17,4 +20,6 @@
 #undef paramdefaults
 #define paramreferences (bondsfile)
+#define paramvalids \
+(!FilePresentValidator())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -38,17 +38,17 @@
 /** =========== define the function ====================== */
 Action::state_ptr MoleculeSaveSelectedMoleculesAction::performCall() {
-  LOG(1, "Storing selected molecules to file " << params.filename << ".");
+  LOG(1, "Storing selected molecules to file " << params.filename.get() << ".");
 
   // extract suffix
   std::string FilenameSuffix;
   std::string FilenamePrefix;
-  if (params.filename.has_filename()) {
+  if (params.filename.get().has_filename()) {
     // get suffix
 #if BOOST_VERSION >= 104600
-      FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
-      FilenamePrefix = params.filename.stem().string();
+      FilenameSuffix = params.filename.get().extension().string().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.get().stem().string();
 #else
-      FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
-      FilenamePrefix = params.filename.stem();
+      FilenameSuffix = params.filename.get().extension().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.get().stem();
 #endif
   } else {
@@ -60,9 +60,9 @@
   // parse the file
   boost::filesystem::ofstream output;
-  output.open(params.filename);
+  output.open(params.filename.get());
   if (!output.fail()) {
     FormatParserStorage::getInstance().saveSelectedMolecules(output, FilenameSuffix);
   } else {
-    ELOG(1, "Could not open file " << params.filename << ".");
+    ELOG(1, "Could not open file " << params.filename.get() << ".");
   }
   output.close();
Index: src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,11 @@
 
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/ParserFileValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-selected-molecules")
@@ -17,4 +21,6 @@
 #undef paramdefaults
 #define paramreferences (filename)
+#define paramvalids \
+(!FilePresentValidator() && ParserFileValidator())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/SaveTemperatureAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -42,7 +42,7 @@
 /** =========== define the function ====================== */
 Action::state_ptr MoleculeSaveTemperatureAction::performCall() {
-  LOG(1, "Storing temperatures in " << params.temperaturefile << ".");
+  LOG(1, "Storing temperatures in " << params.temperaturefile.get() << ".");
   ofstream output;
-  output.open(params.temperaturefile.string().c_str(), ios::trunc);
+  output.open(params.temperaturefile.get().string().c_str(), ios::trunc);
   AtomSetMixin<std::vector<atom *> > set(World::getInstance().getSelectedAtoms());
   const size_t MDSteps = set.getMaxTrajectorySize();
Index: src/Actions/MoleculeAction/SaveTemperatureAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,10 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-temperature")
@@ -17,4 +20,6 @@
 #undef paramdefaults
 #define paramreferences (temperaturefile)
+#define paramvalids \
+(!FilePresentValidator())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/SuspendInWaterAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -44,8 +44,8 @@
     mol = iter->second;
     LOG(0, "Evaluating necessary cell volume for a cluster suspended in water.");
-    if (params.density < 1.0) {
+    if (params.density.get() < 1.0) {
       ELOG(1, "Density must be greater than 1.0g/cm^3!");
     } else {
-      PrepareClustersinWater(World::getInstance().getConfig(), mol, volume, params.density);  // if volume == 0, will calculate from ConvexEnvelope
+      PrepareClustersinWater(World::getInstance().getConfig(), mol, volume, params.density.get());  // if volume == 0, will calculate from ConvexEnvelope
     }
   }
Index: src/Actions/MoleculeAction/SuspendInWaterAction.def
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,9 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/GenericValidators.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (double)
 #define paramtokens ("suspend-in-water")
@@ -17,4 +19,6 @@
 #undef paramdefaults
 #define paramreferences (density)
+#define paramvalids \
+(PositiveValidator< double >())
 
 #undef statetypes
Index: src/Actions/MoleculeAction/VerletIntegrationAction.cpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -45,12 +45,12 @@
   // TODO: sollte besser stream nutzen, nicht filename direkt (es sei denn, ist prefix), besser fuer unit test
   char outputname[MAXSTRINGSIZE];
-  strcpy(outputname, params.forcesfile.string().c_str());
+  strcpy(outputname, params.forcesfile.get().string().c_str());
   AtomSetMixin<std::vector<atom *> > set(World::getInstance().getSelectedAtoms());
-  for (int step = 0; step < params.MDSteps; ++step) {
-    VerletForceIntegration<std::vector<atom *> > Verlet(set, params.Deltat, step, false);
-    if (!Verlet(outputname, 1, 0, params.FixedCenterOfMass))
-      LOG(2, "File " << params.forcesfile << " not found.");
+  for (unsigned int step = 0; step < params.MDSteps.get(); ++step) {
+    VerletForceIntegration<std::vector<atom *> > Verlet(set, params.Deltat.get(), step, false);
+    if (!Verlet(outputname, 1, 0, params.FixedCenterOfMass.get()))
+      LOG(2, "File " << params.forcesfile.get() << " not found.");
     else
-      LOG(2, "File " << params.forcesfile << " found and parsed.");
+      LOG(2, "File " << params.forcesfile.get() << " found and parsed.");
   }
 
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,12 +9,21 @@
 class MoleculeListClass;
 
+#include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/GenericValidators.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (boost::filesystem::path)(double)(int)(bool)
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)(double)(unsigned int)(bool)
 #define paramtokens ("verlet-integration")("deltat")("MDSteps")("keep-fixed-CenterOfMass")
 #define paramdescriptions ("perform verlet integration of a given force file")("time step width")("number of MDSteps to integrate")("whether forces and velocities shall be corrected such that center of mass remains at rest")
 #undef paramdefaults
 #define paramreferences (forcesfile)(Deltat)(MDSteps)(FixedCenterOfMass)
+#define paramvalids \
+(FilePresentValidator()) \
+(PositiveValidator< double >()) \
+(NotZeroValidator< unsigned int >()) \
+(DummyValidator< bool >())
 
 #undef statetypes
Index: src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp
===================================================================
--- src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/ParseTremoloPotentialsAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -42,6 +42,6 @@
   FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
   // parsing file if present
-  if (!boost::filesystem::exists(params.filename)) {
-    LOG(1, "Specified potentials file " << params.filename << " not found.");
+  if (!boost::filesystem::exists(params.filename.get())) {
+    LOG(1, "Specified potentials file " << params.filename.get() << " not found.");
     // DONT FAIL: it's just empty we re-create default id-mapping
     parser.createKnownTypesByIdentity();
@@ -51,5 +51,5 @@
 
     // parse the file
-    test.open(params.filename);
+    test.open(params.filename.get());
     parser.parseKnownTypes(test);
     test.close();
Index: src/Actions/ParserAction/ParseTremoloPotentialsAction.def
===================================================================
--- src/Actions/ParserAction/ParseTremoloPotentialsAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/ParseTremoloPotentialsAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,11 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/FileSuffixValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("parse-tremolo-potentials")
@@ -17,4 +21,6 @@
 #undef paramdefaults
 #define paramreferences (filename)
+#define paramvalids \
+(FilePresentValidator() && FileSuffixValidator("potentials"))
 
 #undef statetypes
Index: src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp
===================================================================
--- src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -40,6 +40,6 @@
 /** =========== define the function ====================== */
 Action::state_ptr ParserSaveSelectedAtomsAsExtTypesAction::performCall() {
-  if (boost::filesystem::exists(params.filename)) {
-    ELOG(1, "Specified exttypes file " << params.filename << " already exists.");
+  if (boost::filesystem::exists(params.filename.get())) {
+    ELOG(1, "Specified exttypes file " << params.filename.get() << " already exists.");
 
     return Action::failure;
@@ -47,8 +47,8 @@
     const FormatParser<tremolo> &parser = FormatParserStorage::getInstance().getParser<tremolo>();
 
-    LOG(1, "Creating exttypes file " << params.filename << " ... ");
+    LOG(1, "Creating exttypes file " << params.filename.get() << " ... ");
     boost::filesystem::ofstream test;
-    test.open(params.filename);
-    const bool status = parser.saveAtomsInExttypes(test, World::getInstance().getSelectedAtoms(), params.id);
+    test.open(params.filename.get());
+    const bool status = parser.saveAtomsInExttypes(test, World::getInstance().getSelectedAtoms(), params.id.get());
     test.close();
 
Index: src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def
===================================================================
--- src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,12 +9,17 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/Specific/FileSuffixValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (int)(boost::filesystem::path)
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#define paramtypes (unsigned int)(boost::filesystem::path)
 #define paramtokens ("save-selected-atoms-as-exttypes")("filename")
-#define paramdescriptions ("Type id for this selection of atoms")("path to tremolo's exttypes file")
+#define paramdescriptions ("Type id for this selection of atoms")("path to tremolo's .exttypes file to which we append")
 #undef paramdefaults
 #define paramreferences (id)(filename)
+#define paramvalids \
+(DummyValidator< unsigned int >()) \
+(FileSuffixValidator("exttypes"))
 
 #undef statetypes
Index: src/Actions/ParserAction/SetOutputFormatsAction.cpp
===================================================================
--- src/Actions/ParserAction/SetOutputFormatsAction.cpp	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/SetOutputFormatsAction.cpp	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -38,6 +38,6 @@
 /** =========== define the function ====================== */
 Action::state_ptr ParserSetOutputFormatsAction::performCall() {
-  LOG(1, "Format list is: " << params.FormatList);
-  for (vector<std::string>::iterator iter = params.FormatList.begin(); iter != params.FormatList.end(); ++iter) {
+  LOG(1, "Format list is: " << params.FormatList.get());
+  for (vector<std::string>::const_iterator iter = params.FormatList.get().begin(); iter != params.FormatList.get().end(); ++iter) {
     if (!FormatParserStorage::getInstance().add(*iter)) {
       ELOG(1, "Unknown parser format in ParserSetOutputFormatsAction: '" << *iter << "'");
Index: src/Actions/ParserAction/SetOutputFormatsAction.def
===================================================================
--- src/Actions/ParserAction/SetOutputFormatsAction.def	(revision 004d5c87ea6293a9829cd1f88041c885baa3bb18)
+++ src/Actions/ParserAction/SetOutputFormatsAction.def	(revision bd81f9550d144dc810bf910fa44f3c8249361651)
@@ -9,7 +9,12 @@
 #include <vector>
 
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/STLVectorValidator.hpp"
+#include "Parameters/Validators/UniqueValidator.hpp"
+#include "Parameters/Validators/Specific/ParserTypeValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (std::vector<std::string>)
 #define paramtokens ("set-output")
@@ -17,4 +22,6 @@
 #undef paramdefaults
 #define paramreferences (FormatList)
+#define paramvalids \
+(STLVectorValidator< std::vector<std::string> >(1, 10, ParserTypeValidator()) && UniqueValidator< std::vector<std::string> >())
 
 #undef statetypes
